=== data/CMakeLists.txt ===
if(UNIX AND NOT APPLE AND NOT ANDROID)
    file(GLOB png_icons "${CMAKE_CURRENT_SOURCE_DIR}/icons/hicolor/*/*/*.png")
    file(GLOB svg_icons "${CMAKE_CURRENT_SOURCE_DIR}/icons/hicolor/*/*/*.svg")
    foreach(source_path IN LISTS png_icons svg_icons)
        string(REPLACE "${CMAKE_CURRENT_SOURCE_DIR}/icons/hicolor/" "" icon_basename "${source_path}")
        get_filename_component(icon_directory "${icon_basename}" DIRECTORY)
        string(REPLACE "${icon_directory}/" "" icon_filename "${icon_basename}")
        string(REGEX REPLACE "\.(png|svg)" "" icon_filename "${icon_filename}")
        set(dest_path "${INSTALL_DATADIR}/icons/hicolor/${icon_directory}/")
        install(FILES "${source_path}" DESTINATION "${dest_path}")
    endforeach()
endif()

file(GLOB language_specs "${CMAKE_CURRENT_SOURCE_DIR}/language-specs/*.lang")
if(WIN32)
    install(FILES ${language_specs} DESTINATION "language-specs")
elseif(APPLE)
    install(FILES ${language_specs} DESTINATION "Contents/Resources/data/language-specs")
else()
    install(FILES ${language_specs} DESTINATION "${INSTALL_DATADIR}/liri-text/language-specs")
endif()
